%global         momorel 1

Name:           perl-DBD-CSV
Version:        0.44
Release:        %{momorel}m%{?dist}
Summary:        DBI driver for CSV files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBD-CSV/
Source0:        http://www.cpan.org/authors/id/H/HM/HMBRAND/DBD-CSV-%{version}.tgz
NoSource:       0
Patch0:         %{name}-0.43-no-prompt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{?include_specopt}
%{?!with_SQL_Statement: %global with_SQL_Statement 1}

BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-PathTools
BuildRequires:  perl-DBI >= 1.613
BuildRequires:  perl-DBI-Test
BuildRequires:  perl-Encode
BuildRequires:  perl-ExtUtils-MakeMaker
%if 0%{with_SQL_Statement}
BuildRequires:  perl-SQL-Statement >= 1.3
%endif
BuildRequires:  perl-Test-Harness
BuildRequires:  perl-Test-Simple >= 0.9
BuildRequires:  perl-Text-CSV_XS >= 0.71
Requires:       perl-DBI >= 1.614
Requires:       perl-DBI-Test
%if 0%{with_SQL_Statement}
Requires:       perl-SQL-Statement >= 1.31
%endif
Requires:       perl-Test-Simple >= 0.96
Requires:       perl-Text-CSV_XS >= 0.71
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?!do_test: %global do_test 1}

%description
The DBD::CSV module is yet another driver for the DBI (Database independent
interface for Perl). This one is based on the SQL "engine" SQL::Statement
and the abstract DBI driver DBD::File and implements access to so-called
CSV files (Comma Separated Values). Such files are often used for exporting
MS Access and MS Excel data.

%prep
%setup -q -n DBD-CSV-%{version}
%patch0 -p1

find . -type f -exec sed -i 's#/pro/bin/perl#/usr/bin/perl#' {} 2>/dev/null ';'

%build
export AUTOMATED_TESTING=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
%if 0%{with_SQL_Statement}
make test
%endif
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/Bundle/DBD/CSV.pm
%{perl_vendorlib}/DBD/CSV.pm
%{perl_vendorlib}/DBD/CSV
%{perl_vendorlib}/DBI/Test/Case/DBD/CSV
%{perl_vendorlib}/DBI/Test/DBD/CSV
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.44-1m)
- update to 0.44

* Sun Jul 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.43-1m)
- update to 0.43

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-4m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.41-2m)
- rebuild against perl-5.18.1

* Sat Aug  3 2013 NARita Koichi <pulsar@momonga-linux.org>
- (0.41-1m)
- update to 0.41

* Thu Jul 25 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.40-1m)
- update to 0.40

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-2m)
- rebuild against perl-5.16.3

* Sat Jan 12 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-1m)
- update to 0.38

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-2m)
- rebuild against perl-5.16.2

* Mon Aug 27 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-1m)
- update to 0.36

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.35-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.35-1m)
- update to 0.35
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33-2m)
- rebuild against perl-5.14.2

* Thu Sep  8 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33-1m)
- update to 0.33

* Thu Sep  8 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-1m)
- update to 0.32

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-6m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-5m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.31-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.31-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-1m)
- update to 0.31
- Specfile re-generated by cpanspec 1.78.

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-1m)
- update to 0.31

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.30-2m)
- full rebuild for mo7 release

* Wed Jul 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.30-1m)
- update to 0.30
- build with SQL::Statement 1.27

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.29-1m)
- update to 0.29

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.28-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.28-2m)
- rebuild against perl-5.12.0

* Thu Apr  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.28-1m)
- update to 0.28

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-1m)
- update to 0.25

* Sat Sep 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.22-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
